Timekit developers

POST /apps

Create an app

You can use this endpoint to create app (registered "clients" that access our API) on the Timekit platform.

The provided app name will automatically be slugged.

Settings are key-value pairs that is coupled together with your app. See the [PUT] /apps/:slug endpoint

Endpoint

POST https://api.timekit.io/v2/apps

Parameters

Name In Type Required Default Description
name body string yes Name of the app, will automatically be slugged (must be unique)
settings body object Key-value object with settings

Request examples

curl
curl -X POST \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     -d '{
           "name": "Back to the future",
           "settings": {
					 		"name": "Back to the future",
              "callback": "http://myapp.io/#/googlecallback",
              "from_email": "robert.zemeckis@universalpictures.com",
              "from_name": "Robert",
              "contact_name": "Zemeckis",
              "contact_email": "robert.zemeckis@universalpictures.com"
					 }
         }' \
     https://api.timekit.io/v2/apps

Response examples

201

json
{
  "data": {
    "id": "MJnllL3rheUYLb0apziz9WH1VXDSuNW3",
    "slug": "back-to-the-future",
    "settings": {
      	"name": "Back to the Future",
        "callback": "http://myapp.io/#/googlecallback",
        "from_email": "robert.zemeckis@universalpictures.com",
        "from_name": "Robert",
        "contact_name": "Zemeckis",
        "contact_email": "robert.zemeckis@universalpictures.com"
    }
  }
}